@echo off

echo Compiling generators...

dcc32 -CC gen_random >nul


echo Deleting old files

del "%~dp0*.out" > nul

for /l %%i in (2,1,200) do (
  if exist %%i.in (
    del %%i.in > nul
  )
)

echo Generating tests...

gen_random 0.00001 0.00001 0.00001
gen_random 0.00001 0.00002 0.00003
gen_random 0.10001 0.00302 0.00103
gen_random 2.00291 0.93302 1.00003
gen_random 135.24 0.24 0.22
gen_random 1000 1000 1000
gen_random 999 998 997
gen_random 998 0.00001 998
gen_random 567 123 0.00004
gen_random
gen_random
gen_random
gen_random
gen_random
gen_random
gen_random
gen_random

echo Getting answers with model solution

for /l %%i in (1,1,200) do (
  if exist %%i.in (
    copy %%i.in input.txt > nul
    solution.exe > nul
    copy output.txt %%i.out > nul
    del input.txt > nul
    del output.txt > nul
  )
)